Subject: Re: bug#44849: [PATCH] Make XEmacs compat variable warning-level-aliases obsolete

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 25 Nov 2020 08:19:35 +0100

Stefan Kangas <[email-masked]> writes:

> The `warning-level-aliases' exists only to provide compatibility with
> XEmacs warning levels.  I don't think this is very useful these days.
>
> I propose to make it obsolete and warn when one of these levels are
> used.  Please see the attached patch.

I'm slightly worried that these aliases are used out there in
out-of-tree packages.  As a test, I grepped the GNU ELPA tree, but this
was the only place where the aliases are used:

(defun muse-display-warning (message)
  "Display the given MESSAGE as a warning."
  (if (fboundp 'display-warning)
      (display-warning 'muse message
                       (if (featurep 'xemacs)
                           'warning
                         :warning))

And that's behind a featurep check, so it's fine, too.

So I think the proposed change is probably fine.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no